petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDrawSetSave

Saves images produced in a PetscDraw into a file

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSetSave(PetscDraw draw,const char filename[])

Collective on PetscDraw Many br

### Input Parameter

| draw | - the graphics context Many br
| filename | - name of the file, if .ext then uses name of draw object plus .ext using .ext to determine the image type Many br

### Options Database Command

| -draw_save <filename> | - filename could be name.ext or .ext (where .ext determines the type of graphics file to save, for example .png) Many br
| -draw_save_final_image [optional filename] | - saves the final image displayed in a window Many br
| -draw_save_single_file | - saves each new image in the same file, normally each new image is saved in a new file with filename/filename_%d.ext Many br

Many br

Notes: You should call this BEFORE creating your image and calling PetscDrawSave(). Many brThe supported image types are .png, .gif, .jpg, and .ppm (PETSc chooses the default in that order). Many brSupport for .png images requires configure --with-libpng. Many brSupport for .gif images requires configure --with-giflib. Many brSupport for .jpg images requires configure --with-libjpeg. Many brSupport for .ppm images is built-in. The PPM format has no compression (640x480 pixels ~ 900 KiB). Many br

### See Also

PetscDrawSetFromOptions(), PetscDrawCreate(), PetscDrawDestroy(), PetscDrawSetSaveFinalImage()

Level:intermediate
Location:src/sys/classes/draw/interface/dsave.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages